org.eclipse.wst.jsdt.chromium.debug.ui

## Class ChromiumToggleBreakpointTargetFactory

- java.lang.Object
- - org.eclipse.wst.jsdt.chromium.debug.ui.ChromiumToggleBreakpointTargetFactory

    public class ChromiumToggleBreakpointTargetFactory
    extends java.lang.Object

Toggle breakpoint target factory for Chromium breakpoints.

### Constructor Summary

Constructors
Constructor and Description
`ChromiumToggleBreakpointTargetFactory()`

### Method Summary

All Methods Instance Methods Concrete Methods
`IToggleBreakpointsTarget` `createToggleTarget(java.lang.String targetID)`
`java.lang.String` `getDefaultToggleTarget(IWorkbenchPart part, ISelection selection)`
`java.lang.String` `getToggleTargetDescription(java.lang.String targetID)`
`java.lang.String` `getToggleTargetName(java.lang.String targetID)`
`java.util.Set<java.lang.String>` `getToggleTargets(IWorkbenchPart part, ISelection selection)`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### ChromiumToggleBreakpointTargetFactory

    public ChromiumToggleBreakpointTargetFactory()

### Method Detail

#### getToggleTargets

    public java.util.Set<java.lang.String> getToggleTargets(IWorkbenchPart part,
                                                            ISelection selection)

#### getDefaultToggleTarget

    public java.lang.String getDefaultToggleTarget(IWorkbenchPart part,
                                                   ISelection selection)

#### createToggleTarget

    public IToggleBreakpointsTarget createToggleTarget(java.lang.String targetID)

#### getToggleTargetName

    public java.lang.String getToggleTargetName(java.lang.String targetID)

#### getToggleTargetDescription

    public java.lang.String getToggleTargetDescription(java.lang.String targetID)